<?php
namespace Modules\Documents\ImportedDocuments;

class View_Utils_FormImport extends \App\Mvc\View_Utils_FormAbstract
{
	/**
	 * Creates the form for entities match insert/update.
	 * @see \App\Mvc\View_Utils_FormAbstract::getForm()
	 */
	public function getForm()
	{
		$form=\Engine\Form\General::create();
		$form->addContainer(\Engine\Form\Container\Fieldset::create());

		// file
		$file = new \Engine\Form\Input\File($this->lang['import']['file'], 'file', $this->values['file']);
		$file->setMandatory(true);
		$form->addElement($file);

		// submit button
		$form->addElement(new \Engine\Form\Input\Hidden('', $this->submitButtonName, 1));

		return $form;
	}
}